<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
				xmlns:dc="http://purl.org/dc/elements/1.1/"
				xmlns:SRW="http://www.loc.gov/zing/srw/"
                xmlns:DIAG="http://www.loc.gov/zing/srw/diagnostic/"
                xmlns:zng="urn:z3950:zng_prototype1"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:xlink="http://www.w3.org/1999/xlink"
	
                version='1.0'>

    <xsl:output method='html' omit-xml-declaration='yes' />
    
    <!-- let's get started -->
    <xsl:template match='/'>
        <p>
            <xsl:text>Your search for </xsl:text>
            <span style='font-weight: bold'>
                ##QUERY##
            </span>
            <xsl:text> found </xsl:text>
            <xsl:value-of select='/SRW:searchRetrieveResponse/SRW:numberOfRecords' />
            <xsl:text> record(s). No more than ten (10) of them are displayed below:</xsl:text>
        </p>
        <ol style='font-size: small'>
            <xsl:for-each select='//dcx'>
                <li><xsl:value-of select='dc:title' /></li>
            </xsl:for-each>
        </ol>
    </xsl:template>
    
</xsl:stylesheet>
