<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
    <xsl:output method='html' omit-xml-declaration='yes' />
    <!-- let's get started -->
    <xsl:template match='/'>
        <p>
            <xsl:text>You searched for </xsl:text>
            <span style='font-weight: bold'>
                <xsl:value-of select='spell/word' />
            </span>
            <xsl:text> in the dictionary named </xsl:text>
            <span style='font-weight: bold'>
                <xsl:value-of select='spell/dictionary' />
            </span>
            <xsl:text>. The search identified the following words:</xsl:text>
        </p>
        <blockquote>
            <xsl:for-each select='spell/spellings/spelling'>
                <a><xsl:attribute name='href'>http://spell.ockham.org/smart/?cmd=search&amp;word=<xsl:value-of select='.' />&amp;dictionary=<xsl:value-of select='/spell/dictionary' /></xsl:attribute><xsl:value-of select='.' /></a>
                <xsl:text> </xsl:text>
            </xsl:for-each>
        </blockquote>
    </xsl:template>
</xsl:stylesheet>
